Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158488 - Harmful include <linux/linkage.h>
Summary: Harmful include <linux/linkage.h>
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 23:12 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-01 18:57:21 UTC


Attachments (Terms of Use)
strace-4.5.11-alt-linkage.patch (deleted)
2005-05-22 23:14 UTC, Dmitry V. Levin
no flags Details | Diff

Description Dmitry V. Levin 2005-05-22 23:12:35 UTC
bjm.c includes <linux/linkage.h> for no reason.
It is not safe to include kernel headers.
Especially when they are not used.

Comment 1 Dmitry V. Levin 2005-05-22 23:14:36 UTC
Created attachment 114696 [details]
strace-4.5.11-alt-linkage.patch

Proposed fix.

Comment 2 Roland McGrath 2005-06-01 18:57:21 UTC
Fix is in.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.